zenilib: PSH_GlyphRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
PSH_GlyphRec_ Struct Reference

`#include <pshalgo.h>`

## Public Attributes

PSH_Contour | contours
FT_Bool | do_horz_hints
FT_Bool | do_horz_snapping
FT_Bool | do_stem_adjust
FT_Bool | do_vert_hints
FT_Bool | do_vert_snapping
PSH_Globals | globals
PSH_Hint_TableRec | hint_tables [2]
FT_Int | major_dir
FT_Memory | memory
FT_Int | minor_dir
FT_UInt | num_contours
FT_UInt | num_points
FT_Outline * | outline
PSH_Point | points
FT_Bool | vertical

## Detailed Description

Definition at line 203 of file pshalgo.h.

## Member Data Documentation

PSH_Contour PSH_GlyphRec_::contours

Definition at line 209 of file pshalgo.h.

Referenced by psh_glyph_compute_extrema(), psh_glyph_compute_inflections(), psh_glyph_done(), psh_glyph_init(), and psh_glyph_interpolate_other_points().

FT_Bool PSH_GlyphRec_::do_horz_hints

Definition at line 220 of file pshalgo.h.

Referenced by ps_hints_apply(), and psh_hint_align().

FT_Bool PSH_GlyphRec_::do_horz_snapping

Definition at line 222 of file pshalgo.h.

Referenced by ps_hints_apply(), and psh_hint_align().

FT_Bool PSH_GlyphRec_::do_stem_adjust

Definition at line 224 of file pshalgo.h.

Referenced by ps_hints_apply(), and psh_hint_align().

FT_Bool PSH_GlyphRec_::do_vert_hints

Definition at line 221 of file pshalgo.h.

Referenced by ps_hints_apply(), and psh_hint_align().

FT_Bool PSH_GlyphRec_::do_vert_snapping

Definition at line 223 of file pshalgo.h.

Referenced by ps_hints_apply(), and psh_hint_align().

PSH_Globals PSH_GlyphRec_::globals

Definition at line 213 of file pshalgo.h.

Referenced by ps_hints_apply(), psh_glyph_find_strong_points(), psh_glyph_init(), psh_glyph_interpolate_normal_points(), psh_glyph_interpolate_other_points(), and psh_glyph_interpolate_strong_points().

PSH_Hint_TableRec PSH_GlyphRec_::hint_tables[2]

Definition at line 214 of file pshalgo.h.

Referenced by ps_hints_apply(), psh_glyph_done(), psh_glyph_find_strong_points(), and psh_glyph_init().

FT_Int PSH_GlyphRec_::major_dir

Definition at line 217 of file pshalgo.h.

FT_Memory PSH_GlyphRec_::memory

Definition at line 211 of file pshalgo.h.

Referenced by psh_glyph_done(), psh_glyph_init(), and psh_glyph_interpolate_normal_points().

FT_Int PSH_GlyphRec_::minor_dir

Definition at line 218 of file pshalgo.h.

FT_UInt PSH_GlyphRec_::num_contours

Definition at line 206 of file pshalgo.h.

Referenced by psh_glyph_compute_extrema(), psh_glyph_compute_inflections(), psh_glyph_done(), psh_glyph_init(), and psh_glyph_interpolate_other_points().

FT_UInt PSH_GlyphRec_::num_points

Definition at line 205 of file pshalgo.h.

Referenced by psh_glyph_compute_extrema(), psh_glyph_done(), psh_glyph_find_blue_points(), psh_glyph_find_strong_points(), psh_glyph_init(), psh_glyph_interpolate_normal_points(), psh_glyph_interpolate_strong_points(), psh_glyph_load_points(), and psh_glyph_save_points().

FT_Outline* PSH_GlyphRec_::outline

Definition at line 212 of file pshalgo.h.

Referenced by psh_glyph_init(), psh_glyph_load_points(), and psh_glyph_save_points().

PSH_Point PSH_GlyphRec_::points

Definition at line 208 of file pshalgo.h.

Referenced by psh_glyph_compute_extrema(), psh_glyph_done(), psh_glyph_find_blue_points(), psh_glyph_find_strong_points(), psh_glyph_init(), psh_glyph_interpolate_normal_points(), psh_glyph_interpolate_strong_points(), psh_glyph_load_points(), and psh_glyph_save_points().

FT_Bool PSH_GlyphRec_::vertical

Definition at line 216 of file pshalgo.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/pshinter/pshalgo.h